# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [3.4.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@3.3.0...@react-keycloak/web@3.4.0) (2020-10-21)

### Features

- **web:** re-implement withKeycloak HOC ([295a834](https://github.com/react-keycloak/react-keycloak/commit/295a834c7f3fbe3bd7fb45a73c264b224d2e53ad)), closes [#111](https://github.com/react-keycloak/react-keycloak/issues/111)

# [3.3.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@3.2.0...@react-keycloak/web@3.3.0) (2020-10-18)

**Note:** Version bump only for package @react-keycloak/web

# [3.2.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@3.1.1...@react-keycloak/web@3.2.0) (2020-10-18)

**Note:** Version bump only for package @react-keycloak/web

## [3.1.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@3.1.0...@react-keycloak/web@3.1.1) (2020-10-18)

**Note:** Version bump only for package @react-keycloak/web

# [3.1.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@3.0.0...@react-keycloak/web@3.1.0) (2020-10-18)

### Features

- **web:** update 'useKeycloak' implementation ([ef19e82](https://github.com/react-keycloak/react-keycloak/commit/ef19e823b33c03808de696f9e7cbac3478197e0e))

# [3.0.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@2.1.4...@react-keycloak/web@3.0.0) (2020-10-04)

**Note:** Version bump only for package @react-keycloak/web

## [2.1.4](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@2.1.3...@react-keycloak/web@2.1.4) (2020-08-21)

**Note:** Version bump only for package @react-keycloak/web

## [2.1.3](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@2.1.2...@react-keycloak/web@2.1.3) (2020-07-21)

**Note:** Version bump only for package @react-keycloak/web

## [2.1.2](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@2.1.1...@react-keycloak/web@2.1.2) (2020-07-20)

**Note:** Version bump only for package @react-keycloak/web

## [2.1.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@2.1.0...@react-keycloak/web@2.1.1) (2020-04-09)

**Note:** Version bump only for package @react-keycloak/web

# [2.1.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@2.0.0...@react-keycloak/web@2.1.0) (2020-04-08)

### Features

- **web:** Update TS typings ([92c1e00](https://github.com/react-keycloak/react-keycloak/commit/92c1e00d3737c3a361a2660b7576212a435921df))

# [2.0.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.6...@react-keycloak/web@2.0.0) (2020-03-30)

### chore

- **web:** Remove support for 'keycloak-js' pre-9.0.2 ([d09460a](https://github.com/react-keycloak/react-keycloak/commit/d09460a62ba7bb4a104eb5ac1df558466cc4b3c0))

### Features

- **web:** Update TS typings ([ab42e1e](https://github.com/react-keycloak/react-keycloak/commit/ab42e1e948bb89f17ae2cf5caf1626a56d0485e5))

### BREAKING CHANGES

- **web:** Drop support for older KeycloakJS versions

## [1.0.6](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.5...@react-keycloak/web@1.0.6) (2020-03-30)

**Note:** Version bump only for package @react-keycloak/web

## [1.0.5](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.4...@react-keycloak/web@1.0.5) (2020-03-19)

**Note:** Version bump only for package @react-keycloak/web

## [1.0.4](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.3...@react-keycloak/web@1.0.4) (2020-02-22)

**Note:** Version bump only for package @react-keycloak/web

## [1.0.3](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.2...@react-keycloak/web@1.0.3) (2020-02-19)

**Note:** Version bump only for package @react-keycloak/web

## [1.0.2](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.1...@react-keycloak/web@1.0.2) (2020-02-01)

**Note:** Version bump only for package @react-keycloak/web

## [1.0.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.0...@react-keycloak/web@1.0.1) (2020-01-23)

**Note:** Version bump only for package @react-keycloak/web

# [1.0.0-alpha.6](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.0-alpha.5...@react-keycloak/web@1.0.0-alpha.6) (2019-12-23)

### Bug Fixes

- **TypeScript:** Use ReactKeycloakContextValue from core ([47ff305](https://github.com/react-keycloak/react-keycloak/commit/47ff30503412a57e90fce33644d3c822320908e7))

# [1.0.0-alpha.5](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.0-alpha.4...@react-keycloak/web@1.0.0-alpha.5) (2019-12-16)

**Note:** Version bump only for package @react-keycloak/web

# [1.0.0-alpha.4](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/web@1.0.0-alpha.3...@react-keycloak/web@1.0.0-alpha.4) (2019-12-16)

**Note:** Version bump only for package @react-keycloak/web

# 1.0.0-alpha.3 (2019-12-16)

**Note:** Version bump only for package @react-keycloak/web

# 1.0.0-alpha.2 (2019-12-16)

**Note:** Version bump only for package @react-keycloak/web
